// //////////////////////////////////
// Create the buttons
// //////////////////////////////////
$('.wh_tools').prepend('<div class="font-sizer">' +
    '<button class="increaseFont" value="increase" title="Increase font size"> A + </button>' +
    '<button class="decreaseFont" value="decrease" title="Decrease font size"> A - </button>' +
    '<button class="reset" title="Set font size to default">Reset</button>' +
'</div>');

// Set location of fontButtons
$('.font-sizer').css({
    // 'background' : 'transparent',
    'position' : 'absolute',
    'background-color' : '#F1F1F1',
    'right': '150px',
    'top': '15px'
});

$('.font-sizer button').css({
    // 'background' : 'transparent',
    'background-color' : '#F1F1F1',
    'border' : 'solid 1px rgba(0,0,0,.2)'
});


// //////////////////////////////////
//Font Size Changer - buttons
// //////////////////////////////////
if ($(".font-sizer").length) {

    var curFontSize = localStorage["FontSize"];

    if (curFontSize) {
        //set to previously saved fontsize if available
        $('.body').css('font-size', curFontSize);
    }

    $(".increaseFont,.decreaseFont").click(function () {
        var type = $(this).val();
        curFontSize = $('.body').css('font-size');
        if (type == 'increase') {
            $('.body').css('font-size', parseInt(curFontSize) + 2 + "px");
        } else {
            $('.body').css('font-size', parseInt(curFontSize) - 2 + "px");
        }
        localStorage.setItem('FontSize', curFontSize);
    });

    var resetFont = $('.body').css('font-size');

    $(".reset").click(function () {
        $('.body').css('font-size', '1em');
        localStorage.setItem('FontSize', '1em');
    });
}
